%define major 25
%define libname %mklibname opts %{major}
%define devname %mklibname opts -d

Summary:	Simplifies the creation and maintenance of programs
Name:		autogen
Version:	5.18.7
Release:	1
License:	GPLv2+
Group:		Development/Other
Url:		http://www.gnu.org/software/autogen/
Source0:	ftp://ftp.gnu.org/gnu/autogen/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.gnu.org/gnu/autogen/%{name}-%{version}.tar.xz.sig
Patch0:		autogen-5.12-pkgconfig.patch
# Fix mk-tpl-config.sh to not fail when guile headers don't use noreturn
Patch1:		autogen-5.18.7-mktplconfig.patch
BuildRequires:	chrpath
BuildRequires:	pkgconfig(guile-2.0)
BuildRequires:	pkgconfig(libxml-2.0)

%define __noautoreq '/bin/cat'

%description
AutoGen is a tool designed to simplify the creation and maintenance 
of programs that contain large amounts of repetitious text. It is 
especially valuable in programs that have several blocks of text 
that must be kept synchronized.

%files
%doc README TODO
%{_bindir}/autogen
%{_bindir}/columns
%{_bindir}/getdefs
%{_bindir}/xml2ag
%{_infodir}/autogen.info*
%{_datadir}/aclocal/*
%{_datadir}/autogen/
%{_mandir}/*/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared library for %{name}.

%files -n %{libname}
%{_libdir}/libopts.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development headers and libraries for %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}opts-static-devel < 5.18.3

%description -n %{devname}
This package contains the development files for %{name}.

%files -n %{devname}
%{_bindir}/autoopts-config
%{_includedir}/autoopts/
%{_libdir}/*.so
%{_libdir}/autogen/tpl-config.tlib
%{_libdir}/pkgconfig/autoopts.pc


#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

chrpath -d %{buildroot}/%{_libdir}/lib*.so.* \
	%{buildroot}/%{_bindir}/{autogen,columns,getdefs,xml2ag}


%changelog

* Thu Apr 14 2016 dsilakov <denis.silakov@rosalab.ru> 5.18.7-1
- (07fc489) Merge pull request #1 from alzim/autogen:rosa2014.1
- (07fc489) Updated to 5.18.7


